diff --git a/cpu/arm920t/cpu.c b/cpu/arm920t/cpu.c
index f93bf57..fce3896 100644
--- a/cpu/arm920t/cpu.c
+++ b/cpu/arm920t/cpu.c
@@ -182,4 +182,11 @@ int dcache_status (void)
 {
 	return (read_p15_c1 () & C1_DC) != 0;
 }
+#else
+#if (CONFIG_COMMANDS & CFG_CMD_ELF)
+/* ELF loader uses them, make sure they're defined */
+void dcache_disable (void) { }
+
+int dcache_status (void) { return 0; }
+#endif
 #endif
